> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dataraven.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Notification

> Update a notification configuration.

**Required Role:** ADMIN or OWNER



## OpenAPI

````yaml PATCH /v1/teams/{team_id}/notifications/{notification_id}
openapi: 3.1.0
info:
  title: Data Raven API
  description: Cloud-to-cloud data transfer platform powered by RClone
  version: 0.5.0
servers: []
security: []
paths:
  /v1/teams/{team_id}/notifications/{notification_id}:
    patch:
      tags:
        - Notifications
      summary: Update Notification Config
      description: |-
        Update a notification configuration.

        **Required Role:** ADMIN or OWNER
      operationId: >-
        update_notification_config_v1_teams__team_id__notifications__notification_id__patch
      parameters:
        - name: team_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Team Id
        - name: notification_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Notification Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NotificationConfigUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotificationConfigResponse'
        '404':
          description: Notification config not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    NotificationConfigUpdate:
      properties:
        name:
          anyOf:
            - type: string
              maxLength: 255
              minLength: 1
            - type: 'null'
          title: Name
        event_filters:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Event Filters
        apprise_url:
          anyOf:
            - type: string
              maxLength: 2048
              minLength: 1
            - type: 'null'
          title: Apprise Url
        message_template:
          anyOf:
            - type: string
              maxLength: 10000
            - type: 'null'
          title: Message Template
        is_enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Enabled
      type: object
      title: NotificationConfigUpdate
      description: Schema for updating a notification config
    NotificationConfigResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        team_id:
          type: string
          format: uuid
          title: Team Id
        name:
          type: string
          title: Name
        event_type:
          type: string
          title: Event Type
        event_filters:
          additionalProperties: true
          type: object
          title: Event Filters
        message_template:
          anyOf:
            - type: string
            - type: 'null'
          title: Message Template
        is_enabled:
          type: boolean
          title: Is Enabled
        apprise_vault_secret_id:
          type: string
          format: uuid
          title: Apprise Vault Secret Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        created_by:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Created By
      type: object
      required:
        - id
        - team_id
        - name
        - event_type
        - event_filters
        - message_template
        - is_enabled
        - apprise_vault_secret_id
        - created_at
        - updated_at
      title: NotificationConfigResponse
      description: Schema for notification config API responses
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````